## WordPress Dynamic Blocks

An advanced yet simple block system for WordPress, allowing you to create spaces for different pages and posts where you can add content and images easily on one or more pages. It finds the areas that are actually used in the current template and shows an easy to use admin interface.

## Installation

Follow these steps:

* [Download the latest release](https://github.com/pontusab/Blocks/archive/master.zip).
* Clone the repo: `git clone git://github.com/pontusab/Blocks.git`.
* Install with in `/wp-content/plugins/`.
* Add `<?php //Block Areas: left ?>` to your template `(page.php, single.php my-template.php)` header.
* Add `<?php get_blocks('left'); ?>` where you want the blocks.

## Screenshots

#### Blocks on pages
![Alt text](/screenshot_1.png "Blocks on pages")

#### Blocks settings
![Alt text](/screenshot_2.png "Blocks settings")

#### A single block
![Alt text](/screenshot_3.png "A single block")

## Authors

**Pontus Abrahamsson**

+ [http://twitter.com/pontusab](http://twitter.com/pontusab)
+ [http://github.com/pontusab](http://github.com/pontusab)

**Jonas Skoogh**

+ [http://twitter.com/hAmpzter](http://twitter.com/hAmpzter)
+ [http://github.com/hAmpzter](http://github.com/hAmpzter)

## Copyright and license

Copyright 2013 Pontus Abrahamsson.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this work except in compliance with the License.
You may obtain a copy of the License in the LICENSE file, or at:

  [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
